PHPExcel_Reader

# Class: PHPExcel_Reader_SYLK

Source Location: /PHPExcel/Reader/SYLK.php

### Class Overview

PHPExcel_Reader_SYLK

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_Reader_IReader

### Methods

- __construct
- canRead
- getInputEncoding
- getReadFilter
- getSheetIndex
- listWorksheetInfo
- load
- loadIntoExisting
- setInputEncoding
- setReadFilter
- setSheetIndex

### Class Details

[line 45]
PHPExcel_Reader_SYLK

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 86]

`PHPExcel_Reader_SYLK __construct( )`

Create a new PHPExcel_Reader_SYLK

#### Tags:

access: | public

[ Top ]

### method canRead [line 98]

`boolean canRead( $pFilename, string $pFileName)`

Can the current PHPExcel_Reader_IReader read the file?

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_Reader_IReader::canRead()
  Can the current PHPExcel_Reader_IReader read the file?

#### Parameters:

string | $pFileName |
| $pFilename |

[ Top ]

### method getInputEncoding [line 164]

`string getInputEncoding( )`

Get input encoding

#### Tags:

access: | public

[ Top ]

### method getReadFilter [line 131]

`PHPExcel_Reader_IReadFilter getReadFilter( )`

Read filter

#### Tags:

access: | public

[ Top ]

### method getSheetIndex [line 482]

`int getSheetIndex( )`

Get sheet index

#### Tags:

access: | public

[ Top ]

### method listWorksheetInfo [line 176]

`void listWorksheetInfo( string $pFilename)`

Return worksheet info (Name, Last Column Letter, Last Column Index, Total Rows, Total Columns)

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### method load [line 249]

`PHPExcel load( string $pFilename)`

Loads PHPExcel from file

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_Reader_IReader::load()
  Loads PHPExcel from file

#### Parameters:

string | $pFilename |

[ Top ]

### method loadIntoExisting [line 267]

`PHPExcel loadIntoExisting( string $pFilename, PHPExcel $objPHPExcel)`

Loads PHPExcel from file into PHPExcel instance

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |
PHPExcel | $objPHPExcel |

[ Top ]

### method setInputEncoding [line 152]

`void setInputEncoding( [string $pValue = 'ANSI'])`

Set input encoding

#### Tags:

access: | public

#### Parameters:

string | $pValue | Input encoding

[ Top ]

### method setReadFilter [line 141]

`void setReadFilter( PHPExcel_Reader_IReadFilter $pValue)`

Set read filter

#### Tags:

access: | public

#### Parameters:

PHPExcel_Reader_IReadFilter | $pValue |

[ Top ]

### method setSheetIndex [line 493]

`PHPExcel_Reader_SYLK setSheetIndex( [int $pValue = 0])`

Set sheet index

#### Tags:

access: | public

#### Parameters:

int | $pValue | Sheet index

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:06 +0200 by phpDocumentor 1.4.4